# DBC_BaseArray.hxx File Reference

`#include <Standard_Integer.hxx>`
`#include <DBC_DBVArray.hxx>`
`#include <Standard_Storable.hxx>`
`#include <Standard_Address.hxx>`
`#include <Standard_OStream.hxx>`
`#include <Standard_PrimitiveTypes.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`
`#include <DBC_BaseArray.lxx>`

## Functions

class class Standard_EXPORT Handle_Standard_Type & | DBC_BaseArray_Type_ ()
void | ShallowDump (const DBC_BaseArray &me, Standard_OStream &S)

## Function Documentation

class class class Standard_EXPORT Handle_Standard_Type& DBC_BaseArray_Type_ | ( |  | ) |

void ShallowDump | ( | const DBC_BaseArray & | me,
|  | Standard_OStream & | S
| ) | `[inline]`